Index: XIOS/dev/branch_openmp/src/interface/fortran_attr/iinterpolate_domain_attr.F90
===================================================================
--- XIOS/dev/branch_openmp/src/interface/fortran_attr/iinterpolate_domain_attr.F90	(revision 1544)
+++ XIOS/dev/branch_openmp/src/interface/fortran_attr/iinterpolate_domain_attr.F90	(revision 1545)
@@ -12,13 +12,17 @@
 
   SUBROUTINE xios(set_interpolate_domain_attr)  &
-    ( interpolate_domain_id, mode, order, quantity, renormalize, weight_filename, write_weight )
+    ( interpolate_domain_id, detect_missing_value, mode, order, quantity, read_write_convention  &
+    , renormalize, weight_filename, write_weight )
 
     IMPLICIT NONE
       TYPE(txios(interpolate_domain))  :: interpolate_domain_hdl
       CHARACTER(LEN=*), INTENT(IN) ::interpolate_domain_id
+      LOGICAL  , OPTIONAL, INTENT(IN) :: detect_missing_value
+      LOGICAL (KIND=C_BOOL) :: detect_missing_value_tmp
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: mode
       INTEGER  , OPTIONAL, INTENT(IN) :: order
       LOGICAL  , OPTIONAL, INTENT(IN) :: quantity
       LOGICAL (KIND=C_BOOL) :: quantity_tmp
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: read_write_convention
       LOGICAL  , OPTIONAL, INTENT(IN) :: renormalize
       LOGICAL (KIND=C_BOOL) :: renormalize_tmp
@@ -30,19 +34,22 @@
       (interpolate_domain_id,interpolate_domain_hdl)
       CALL xios(set_interpolate_domain_attr_hdl_)   &
-      ( interpolate_domain_hdl, mode, order, quantity, renormalize, weight_filename, write_weight  &
-       )
+      ( interpolate_domain_hdl, detect_missing_value, mode, order, quantity, read_write_convention  &
+      , renormalize, weight_filename, write_weight )
 
   END SUBROUTINE xios(set_interpolate_domain_attr)
 
   SUBROUTINE xios(set_interpolate_domain_attr_hdl)  &
-    ( interpolate_domain_hdl, mode, order, quantity, renormalize, weight_filename, write_weight  &
-     )
-
-    IMPLICIT NONE
-      TYPE(txios(interpolate_domain)) , INTENT(IN) :: interpolate_domain_hdl
+    ( interpolate_domain_hdl, detect_missing_value, mode, order, quantity, read_write_convention  &
+    , renormalize, weight_filename, write_weight )
+
+    IMPLICIT NONE
+      TYPE(txios(interpolate_domain)) , INTENT(IN) :: interpolate_domain_hdl
+      LOGICAL  , OPTIONAL, INTENT(IN) :: detect_missing_value
+      LOGICAL (KIND=C_BOOL) :: detect_missing_value_tmp
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: mode
       INTEGER  , OPTIONAL, INTENT(IN) :: order
       LOGICAL  , OPTIONAL, INTENT(IN) :: quantity
       LOGICAL (KIND=C_BOOL) :: quantity_tmp
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: read_write_convention
       LOGICAL  , OPTIONAL, INTENT(IN) :: renormalize
       LOGICAL (KIND=C_BOOL) :: renormalize_tmp
@@ -52,19 +59,22 @@
 
       CALL xios(set_interpolate_domain_attr_hdl_)  &
-      ( interpolate_domain_hdl, mode, order, quantity, renormalize, weight_filename, write_weight  &
-       )
+      ( interpolate_domain_hdl, detect_missing_value, mode, order, quantity, read_write_convention  &
+      , renormalize, weight_filename, write_weight )
 
   END SUBROUTINE xios(set_interpolate_domain_attr_hdl)
 
   SUBROUTINE xios(set_interpolate_domain_attr_hdl_)   &
-    ( interpolate_domain_hdl, mode_, order_, quantity_, renormalize_, weight_filename_, write_weight_  &
-     )
-
-    IMPLICIT NONE
-      TYPE(txios(interpolate_domain)) , INTENT(IN) :: interpolate_domain_hdl
+    ( interpolate_domain_hdl, detect_missing_value_, mode_, order_, quantity_, read_write_convention_  &
+    , renormalize_, weight_filename_, write_weight_ )
+
+    IMPLICIT NONE
+      TYPE(txios(interpolate_domain)) , INTENT(IN) :: interpolate_domain_hdl
+      LOGICAL  , OPTIONAL, INTENT(IN) :: detect_missing_value_
+      LOGICAL (KIND=C_BOOL) :: detect_missing_value__tmp
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: mode_
       INTEGER  , OPTIONAL, INTENT(IN) :: order_
       LOGICAL  , OPTIONAL, INTENT(IN) :: quantity_
       LOGICAL (KIND=C_BOOL) :: quantity__tmp
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: read_write_convention_
       LOGICAL  , OPTIONAL, INTENT(IN) :: renormalize_
       LOGICAL (KIND=C_BOOL) :: renormalize__tmp
@@ -73,4 +83,10 @@
       LOGICAL (KIND=C_BOOL) :: write_weight__tmp
 
+      IF (PRESENT(detect_missing_value_)) THEN
+        detect_missing_value__tmp = detect_missing_value_
+        CALL cxios_set_interpolate_domain_detect_missing_value &
+      (interpolate_domain_hdl%daddr, detect_missing_value__tmp)
+      ENDIF
+
       IF (PRESENT(mode_)) THEN
         CALL cxios_set_interpolate_domain_mode &
@@ -89,4 +105,9 @@
       ENDIF
 
+      IF (PRESENT(read_write_convention_)) THEN
+        CALL cxios_set_interpolate_domain_read_write_convention &
+      (interpolate_domain_hdl%daddr, read_write_convention_, len(read_write_convention_))
+      ENDIF
+
       IF (PRESENT(renormalize_)) THEN
         renormalize__tmp = renormalize_
@@ -109,13 +130,17 @@
 
   SUBROUTINE xios(get_interpolate_domain_attr)  &
-    ( interpolate_domain_id, mode, order, quantity, renormalize, weight_filename, write_weight )
+    ( interpolate_domain_id, detect_missing_value, mode, order, quantity, read_write_convention  &
+    , renormalize, weight_filename, write_weight )
 
     IMPLICIT NONE
       TYPE(txios(interpolate_domain))  :: interpolate_domain_hdl
       CHARACTER(LEN=*), INTENT(IN) ::interpolate_domain_id
+      LOGICAL  , OPTIONAL, INTENT(OUT) :: detect_missing_value
+      LOGICAL (KIND=C_BOOL) :: detect_missing_value_tmp
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: mode
       INTEGER  , OPTIONAL, INTENT(OUT) :: order
       LOGICAL  , OPTIONAL, INTENT(OUT) :: quantity
       LOGICAL (KIND=C_BOOL) :: quantity_tmp
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: read_write_convention
       LOGICAL  , OPTIONAL, INTENT(OUT) :: renormalize
       LOGICAL (KIND=C_BOOL) :: renormalize_tmp
@@ -127,19 +152,22 @@
       (interpolate_domain_id,interpolate_domain_hdl)
       CALL xios(get_interpolate_domain_attr_hdl_)   &
-      ( interpolate_domain_hdl, mode, order, quantity, renormalize, weight_filename, write_weight  &
-       )
+      ( interpolate_domain_hdl, detect_missing_value, mode, order, quantity, read_write_convention  &
+      , renormalize, weight_filename, write_weight )
 
   END SUBROUTINE xios(get_interpolate_domain_attr)
 
   SUBROUTINE xios(get_interpolate_domain_attr_hdl)  &
-    ( interpolate_domain_hdl, mode, order, quantity, renormalize, weight_filename, write_weight  &
-     )
-
-    IMPLICIT NONE
-      TYPE(txios(interpolate_domain)) , INTENT(IN) :: interpolate_domain_hdl
+    ( interpolate_domain_hdl, detect_missing_value, mode, order, quantity, read_write_convention  &
+    , renormalize, weight_filename, write_weight )
+
+    IMPLICIT NONE
+      TYPE(txios(interpolate_domain)) , INTENT(IN) :: interpolate_domain_hdl
+      LOGICAL  , OPTIONAL, INTENT(OUT) :: detect_missing_value
+      LOGICAL (KIND=C_BOOL) :: detect_missing_value_tmp
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: mode
       INTEGER  , OPTIONAL, INTENT(OUT) :: order
       LOGICAL  , OPTIONAL, INTENT(OUT) :: quantity
       LOGICAL (KIND=C_BOOL) :: quantity_tmp
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: read_write_convention
       LOGICAL  , OPTIONAL, INTENT(OUT) :: renormalize
       LOGICAL (KIND=C_BOOL) :: renormalize_tmp
@@ -149,19 +177,22 @@
 
       CALL xios(get_interpolate_domain_attr_hdl_)  &
-      ( interpolate_domain_hdl, mode, order, quantity, renormalize, weight_filename, write_weight  &
-       )
+      ( interpolate_domain_hdl, detect_missing_value, mode, order, quantity, read_write_convention  &
+      , renormalize, weight_filename, write_weight )
 
   END SUBROUTINE xios(get_interpolate_domain_attr_hdl)
 
   SUBROUTINE xios(get_interpolate_domain_attr_hdl_)   &
-    ( interpolate_domain_hdl, mode_, order_, quantity_, renormalize_, weight_filename_, write_weight_  &
-     )
-
-    IMPLICIT NONE
-      TYPE(txios(interpolate_domain)) , INTENT(IN) :: interpolate_domain_hdl
+    ( interpolate_domain_hdl, detect_missing_value_, mode_, order_, quantity_, read_write_convention_  &
+    , renormalize_, weight_filename_, write_weight_ )
+
+    IMPLICIT NONE
+      TYPE(txios(interpolate_domain)) , INTENT(IN) :: interpolate_domain_hdl
+      LOGICAL  , OPTIONAL, INTENT(OUT) :: detect_missing_value_
+      LOGICAL (KIND=C_BOOL) :: detect_missing_value__tmp
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: mode_
       INTEGER  , OPTIONAL, INTENT(OUT) :: order_
       LOGICAL  , OPTIONAL, INTENT(OUT) :: quantity_
       LOGICAL (KIND=C_BOOL) :: quantity__tmp
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: read_write_convention_
       LOGICAL  , OPTIONAL, INTENT(OUT) :: renormalize_
       LOGICAL (KIND=C_BOOL) :: renormalize__tmp
@@ -170,4 +201,10 @@
       LOGICAL (KIND=C_BOOL) :: write_weight__tmp
 
+      IF (PRESENT(detect_missing_value_)) THEN
+        CALL cxios_get_interpolate_domain_detect_missing_value &
+      (interpolate_domain_hdl%daddr, detect_missing_value__tmp)
+        detect_missing_value_ = detect_missing_value__tmp
+      ENDIF
+
       IF (PRESENT(mode_)) THEN
         CALL cxios_get_interpolate_domain_mode &
@@ -186,4 +223,9 @@
       ENDIF
 
+      IF (PRESENT(read_write_convention_)) THEN
+        CALL cxios_get_interpolate_domain_read_write_convention &
+      (interpolate_domain_hdl%daddr, read_write_convention_, len(read_write_convention_))
+      ENDIF
+
       IF (PRESENT(renormalize_)) THEN
         CALL cxios_get_interpolate_domain_renormalize &
@@ -206,9 +248,12 @@
 
   SUBROUTINE xios(is_defined_interpolate_domain_attr)  &
-    ( interpolate_domain_id, mode, order, quantity, renormalize, weight_filename, write_weight )
+    ( interpolate_domain_id, detect_missing_value, mode, order, quantity, read_write_convention  &
+    , renormalize, weight_filename, write_weight )
 
     IMPLICIT NONE
       TYPE(txios(interpolate_domain))  :: interpolate_domain_hdl
       CHARACTER(LEN=*), INTENT(IN) ::interpolate_domain_id
+      LOGICAL, OPTIONAL, INTENT(OUT) :: detect_missing_value
+      LOGICAL(KIND=C_BOOL) :: detect_missing_value_tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: mode
       LOGICAL(KIND=C_BOOL) :: mode_tmp
@@ -217,4 +262,6 @@
       LOGICAL, OPTIONAL, INTENT(OUT) :: quantity
       LOGICAL(KIND=C_BOOL) :: quantity_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: read_write_convention
+      LOGICAL(KIND=C_BOOL) :: read_write_convention_tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: renormalize
       LOGICAL(KIND=C_BOOL) :: renormalize_tmp
@@ -227,15 +274,17 @@
       (interpolate_domain_id,interpolate_domain_hdl)
       CALL xios(is_defined_interpolate_domain_attr_hdl_)   &
-      ( interpolate_domain_hdl, mode, order, quantity, renormalize, weight_filename, write_weight  &
-       )
+      ( interpolate_domain_hdl, detect_missing_value, mode, order, quantity, read_write_convention  &
+      , renormalize, weight_filename, write_weight )
 
   END SUBROUTINE xios(is_defined_interpolate_domain_attr)
 
   SUBROUTINE xios(is_defined_interpolate_domain_attr_hdl)  &
-    ( interpolate_domain_hdl, mode, order, quantity, renormalize, weight_filename, write_weight  &
-     )
-
-    IMPLICIT NONE
-      TYPE(txios(interpolate_domain)) , INTENT(IN) :: interpolate_domain_hdl
+    ( interpolate_domain_hdl, detect_missing_value, mode, order, quantity, read_write_convention  &
+    , renormalize, weight_filename, write_weight )
+
+    IMPLICIT NONE
+      TYPE(txios(interpolate_domain)) , INTENT(IN) :: interpolate_domain_hdl
+      LOGICAL, OPTIONAL, INTENT(OUT) :: detect_missing_value
+      LOGICAL(KIND=C_BOOL) :: detect_missing_value_tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: mode
       LOGICAL(KIND=C_BOOL) :: mode_tmp
@@ -244,4 +293,6 @@
       LOGICAL, OPTIONAL, INTENT(OUT) :: quantity
       LOGICAL(KIND=C_BOOL) :: quantity_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: read_write_convention
+      LOGICAL(KIND=C_BOOL) :: read_write_convention_tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: renormalize
       LOGICAL(KIND=C_BOOL) :: renormalize_tmp
@@ -252,15 +303,17 @@
 
       CALL xios(is_defined_interpolate_domain_attr_hdl_)  &
-      ( interpolate_domain_hdl, mode, order, quantity, renormalize, weight_filename, write_weight  &
-       )
+      ( interpolate_domain_hdl, detect_missing_value, mode, order, quantity, read_write_convention  &
+      , renormalize, weight_filename, write_weight )
 
   END SUBROUTINE xios(is_defined_interpolate_domain_attr_hdl)
 
   SUBROUTINE xios(is_defined_interpolate_domain_attr_hdl_)   &
-    ( interpolate_domain_hdl, mode_, order_, quantity_, renormalize_, weight_filename_, write_weight_  &
-     )
-
-    IMPLICIT NONE
-      TYPE(txios(interpolate_domain)) , INTENT(IN) :: interpolate_domain_hdl
+    ( interpolate_domain_hdl, detect_missing_value_, mode_, order_, quantity_, read_write_convention_  &
+    , renormalize_, weight_filename_, write_weight_ )
+
+    IMPLICIT NONE
+      TYPE(txios(interpolate_domain)) , INTENT(IN) :: interpolate_domain_hdl
+      LOGICAL, OPTIONAL, INTENT(OUT) :: detect_missing_value_
+      LOGICAL(KIND=C_BOOL) :: detect_missing_value__tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: mode_
       LOGICAL(KIND=C_BOOL) :: mode__tmp
@@ -269,4 +322,6 @@
       LOGICAL, OPTIONAL, INTENT(OUT) :: quantity_
       LOGICAL(KIND=C_BOOL) :: quantity__tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: read_write_convention_
+      LOGICAL(KIND=C_BOOL) :: read_write_convention__tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: renormalize_
       LOGICAL(KIND=C_BOOL) :: renormalize__tmp
@@ -276,4 +331,10 @@
       LOGICAL(KIND=C_BOOL) :: write_weight__tmp
 
+      IF (PRESENT(detect_missing_value_)) THEN
+        detect_missing_value__tmp = cxios_is_defined_interpolate_domain_detect_missing_value &
+      (interpolate_domain_hdl%daddr)
+        detect_missing_value_ = detect_missing_value__tmp
+      ENDIF
+
       IF (PRESENT(mode_)) THEN
         mode__tmp = cxios_is_defined_interpolate_domain_mode &
@@ -294,4 +355,10 @@
       ENDIF
 
+      IF (PRESENT(read_write_convention_)) THEN
+        read_write_convention__tmp = cxios_is_defined_interpolate_domain_read_write_convention &
+      (interpolate_domain_hdl%daddr)
+        read_write_convention_ = read_write_convention__tmp
+      ENDIF
+
       IF (PRESENT(renormalize_)) THEN
         renormalize__tmp = cxios_is_defined_interpolate_domain_renormalize &
Index: XIOS/dev/branch_openmp/src/interface/fortran_attr/interpolate_domain_interface_attr.F90
===================================================================
--- XIOS/dev/branch_openmp/src/interface/fortran_attr/interpolate_domain_interface_attr.F90	(revision 1544)
+++ XIOS/dev/branch_openmp/src/interface/fortran_attr/interpolate_domain_interface_attr.F90	(revision 1545)
@@ -9,4 +9,23 @@
   INTERFACE
     ! Do not call directly / interface FORTRAN 2003 <-> C99
+
+    SUBROUTINE cxios_set_interpolate_domain_detect_missing_value(interpolate_domain_hdl, detect_missing_value) BIND(C)
+      USE ISO_C_BINDING
+      INTEGER (kind = C_INTPTR_T), VALUE :: interpolate_domain_hdl
+      LOGICAL (KIND=C_BOOL)      , VALUE :: detect_missing_value
+    END SUBROUTINE cxios_set_interpolate_domain_detect_missing_value
+
+    SUBROUTINE cxios_get_interpolate_domain_detect_missing_value(interpolate_domain_hdl, detect_missing_value) BIND(C)
+      USE ISO_C_BINDING
+      INTEGER (kind = C_INTPTR_T), VALUE :: interpolate_domain_hdl
+      LOGICAL (KIND=C_BOOL)             :: detect_missing_value
+    END SUBROUTINE cxios_get_interpolate_domain_detect_missing_value
+
+    FUNCTION cxios_is_defined_interpolate_domain_detect_missing_value(interpolate_domain_hdl) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_interpolate_domain_detect_missing_value
+      INTEGER (kind = C_INTPTR_T), VALUE :: interpolate_domain_hdl
+    END FUNCTION cxios_is_defined_interpolate_domain_detect_missing_value
+
 
     SUBROUTINE cxios_set_interpolate_domain_mode(interpolate_domain_hdl, mode, mode_size) BIND(C)
@@ -67,4 +86,25 @@
       INTEGER (kind = C_INTPTR_T), VALUE :: interpolate_domain_hdl
     END FUNCTION cxios_is_defined_interpolate_domain_quantity
+
+
+    SUBROUTINE cxios_set_interpolate_domain_read_write_convention(interpolate_domain_hdl, read_write_convention, read_write_convention_size) BIND(C)
+      USE ISO_C_BINDING
+      INTEGER (kind = C_INTPTR_T), VALUE :: interpolate_domain_hdl
+      CHARACTER(kind = C_CHAR)    , DIMENSION(*) :: read_write_convention
+      INTEGER  (kind = C_INT)     , VALUE        :: read_write_convention_size
+    END SUBROUTINE cxios_set_interpolate_domain_read_write_convention
+
+    SUBROUTINE cxios_get_interpolate_domain_read_write_convention(interpolate_domain_hdl, read_write_convention, read_write_convention_size) BIND(C)
+      USE ISO_C_BINDING
+      INTEGER (kind = C_INTPTR_T), VALUE :: interpolate_domain_hdl
+      CHARACTER(kind = C_CHAR)    , DIMENSION(*) :: read_write_convention
+      INTEGER  (kind = C_INT)     , VALUE        :: read_write_convention_size
+    END SUBROUTINE cxios_get_interpolate_domain_read_write_convention
+
+    FUNCTION cxios_is_defined_interpolate_domain_read_write_convention(interpolate_domain_hdl) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_interpolate_domain_read_write_convention
+      INTEGER (kind = C_INTPTR_T), VALUE :: interpolate_domain_hdl
+    END FUNCTION cxios_is_defined_interpolate_domain_read_write_convention
 
 
Index: XIOS/dev/branch_openmp/src/interface/fortran_attr/ireduce_axis_to_axis_attr.F90
===================================================================
--- XIOS/dev/branch_openmp/src/interface/fortran_attr/ireduce_axis_to_axis_attr.F90	(revision 1545)
+++ XIOS/dev/branch_openmp/src/interface/fortran_attr/ireduce_axis_to_axis_attr.F90	(revision 1545)
@@ -0,0 +1,140 @@
+! * ************************************************************************** *
+! *               Interface auto generated - do not modify                     *
+! * ************************************************************************** *
+#include "xios_fortran_prefix.hpp"
+
+MODULE ireduce_axis_to_axis_attr
+  USE, INTRINSIC :: ISO_C_BINDING
+  USE ireduce_axis_to_axis
+  USE reduce_axis_to_axis_interface_attr
+
+CONTAINS
+
+  SUBROUTINE xios(set_reduce_axis_to_axis_attr)  &
+    ( reduce_axis_to_axis_id, operation )
+
+    IMPLICIT NONE
+      TYPE(txios(reduce_axis_to_axis))  :: reduce_axis_to_axis_hdl
+      CHARACTER(LEN=*), INTENT(IN) ::reduce_axis_to_axis_id
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: operation
+
+      CALL xios(get_reduce_axis_to_axis_handle) &
+      (reduce_axis_to_axis_id,reduce_axis_to_axis_hdl)
+      CALL xios(set_reduce_axis_to_axis_attr_hdl_)   &
+      ( reduce_axis_to_axis_hdl, operation )
+
+  END SUBROUTINE xios(set_reduce_axis_to_axis_attr)
+
+  SUBROUTINE xios(set_reduce_axis_to_axis_attr_hdl)  &
+    ( reduce_axis_to_axis_hdl, operation )
+
+    IMPLICIT NONE
+      TYPE(txios(reduce_axis_to_axis)) , INTENT(IN) :: reduce_axis_to_axis_hdl
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: operation
+
+      CALL xios(set_reduce_axis_to_axis_attr_hdl_)  &
+      ( reduce_axis_to_axis_hdl, operation )
+
+  END SUBROUTINE xios(set_reduce_axis_to_axis_attr_hdl)
+
+  SUBROUTINE xios(set_reduce_axis_to_axis_attr_hdl_)   &
+    ( reduce_axis_to_axis_hdl, operation_ )
+
+    IMPLICIT NONE
+      TYPE(txios(reduce_axis_to_axis)) , INTENT(IN) :: reduce_axis_to_axis_hdl
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: operation_
+
+      IF (PRESENT(operation_)) THEN
+        CALL cxios_set_reduce_axis_to_axis_operation &
+      (reduce_axis_to_axis_hdl%daddr, operation_, len(operation_))
+      ENDIF
+
+  END SUBROUTINE xios(set_reduce_axis_to_axis_attr_hdl_)
+
+  SUBROUTINE xios(get_reduce_axis_to_axis_attr)  &
+    ( reduce_axis_to_axis_id, operation )
+
+    IMPLICIT NONE
+      TYPE(txios(reduce_axis_to_axis))  :: reduce_axis_to_axis_hdl
+      CHARACTER(LEN=*), INTENT(IN) ::reduce_axis_to_axis_id
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: operation
+
+      CALL xios(get_reduce_axis_to_axis_handle) &
+      (reduce_axis_to_axis_id,reduce_axis_to_axis_hdl)
+      CALL xios(get_reduce_axis_to_axis_attr_hdl_)   &
+      ( reduce_axis_to_axis_hdl, operation )
+
+  END SUBROUTINE xios(get_reduce_axis_to_axis_attr)
+
+  SUBROUTINE xios(get_reduce_axis_to_axis_attr_hdl)  &
+    ( reduce_axis_to_axis_hdl, operation )
+
+    IMPLICIT NONE
+      TYPE(txios(reduce_axis_to_axis)) , INTENT(IN) :: reduce_axis_to_axis_hdl
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: operation
+
+      CALL xios(get_reduce_axis_to_axis_attr_hdl_)  &
+      ( reduce_axis_to_axis_hdl, operation )
+
+  END SUBROUTINE xios(get_reduce_axis_to_axis_attr_hdl)
+
+  SUBROUTINE xios(get_reduce_axis_to_axis_attr_hdl_)   &
+    ( reduce_axis_to_axis_hdl, operation_ )
+
+    IMPLICIT NONE
+      TYPE(txios(reduce_axis_to_axis)) , INTENT(IN) :: reduce_axis_to_axis_hdl
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: operation_
+
+      IF (PRESENT(operation_)) THEN
+        CALL cxios_get_reduce_axis_to_axis_operation &
+      (reduce_axis_to_axis_hdl%daddr, operation_, len(operation_))
+      ENDIF
+
+  END SUBROUTINE xios(get_reduce_axis_to_axis_attr_hdl_)
+
+  SUBROUTINE xios(is_defined_reduce_axis_to_axis_attr)  &
+    ( reduce_axis_to_axis_id, operation )
+
+    IMPLICIT NONE
+      TYPE(txios(reduce_axis_to_axis))  :: reduce_axis_to_axis_hdl
+      CHARACTER(LEN=*), INTENT(IN) ::reduce_axis_to_axis_id
+      LOGICAL, OPTIONAL, INTENT(OUT) :: operation
+      LOGICAL(KIND=C_BOOL) :: operation_tmp
+
+      CALL xios(get_reduce_axis_to_axis_handle) &
+      (reduce_axis_to_axis_id,reduce_axis_to_axis_hdl)
+      CALL xios(is_defined_reduce_axis_to_axis_attr_hdl_)   &
+      ( reduce_axis_to_axis_hdl, operation )
+
+  END SUBROUTINE xios(is_defined_reduce_axis_to_axis_attr)
+
+  SUBROUTINE xios(is_defined_reduce_axis_to_axis_attr_hdl)  &
+    ( reduce_axis_to_axis_hdl, operation )
+
+    IMPLICIT NONE
+      TYPE(txios(reduce_axis_to_axis)) , INTENT(IN) :: reduce_axis_to_axis_hdl
+      LOGICAL, OPTIONAL, INTENT(OUT) :: operation
+      LOGICAL(KIND=C_BOOL) :: operation_tmp
+
+      CALL xios(is_defined_reduce_axis_to_axis_attr_hdl_)  &
+      ( reduce_axis_to_axis_hdl, operation )
+
+  END SUBROUTINE xios(is_defined_reduce_axis_to_axis_attr_hdl)
+
+  SUBROUTINE xios(is_defined_reduce_axis_to_axis_attr_hdl_)   &
+    ( reduce_axis_to_axis_hdl, operation_ )
+
+    IMPLICIT NONE
+      TYPE(txios(reduce_axis_to_axis)) , INTENT(IN) :: reduce_axis_to_axis_hdl
+      LOGICAL, OPTIONAL, INTENT(OUT) :: operation_
+      LOGICAL(KIND=C_BOOL) :: operation__tmp
+
+      IF (PRESENT(operation_)) THEN
+        operation__tmp = cxios_is_defined_reduce_axis_to_axis_operation &
+      (reduce_axis_to_axis_hdl%daddr)
+        operation_ = operation__tmp
+      ENDIF
+
+  END SUBROUTINE xios(is_defined_reduce_axis_to_axis_attr_hdl_)
+
+END MODULE ireduce_axis_to_axis_attr
Index: XIOS/dev/branch_openmp/src/interface/fortran_attr/ireduce_domain_to_axis_attr.F90
===================================================================
--- XIOS/dev/branch_openmp/src/interface/fortran_attr/ireduce_domain_to_axis_attr.F90	(revision 1544)
+++ XIOS/dev/branch_openmp/src/interface/fortran_attr/ireduce_domain_to_axis_attr.F90	(revision 1545)
@@ -12,5 +12,5 @@
 
   SUBROUTINE xios(set_reduce_domain_to_axis_attr)  &
-    ( reduce_domain_to_axis_id, direction, operation )
+    ( reduce_domain_to_axis_id, direction, local, operation )
 
     IMPLICIT NONE
@@ -18,4 +18,6 @@
       CHARACTER(LEN=*), INTENT(IN) ::reduce_domain_to_axis_id
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: direction
+      LOGICAL  , OPTIONAL, INTENT(IN) :: local
+      LOGICAL (KIND=C_BOOL) :: local_tmp
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: operation
 
@@ -23,27 +25,31 @@
       (reduce_domain_to_axis_id,reduce_domain_to_axis_hdl)
       CALL xios(set_reduce_domain_to_axis_attr_hdl_)   &
-      ( reduce_domain_to_axis_hdl, direction, operation )
+      ( reduce_domain_to_axis_hdl, direction, local, operation )
 
   END SUBROUTINE xios(set_reduce_domain_to_axis_attr)
 
   SUBROUTINE xios(set_reduce_domain_to_axis_attr_hdl)  &
-    ( reduce_domain_to_axis_hdl, direction, operation )
+    ( reduce_domain_to_axis_hdl, direction, local, operation )
 
     IMPLICIT NONE
       TYPE(txios(reduce_domain_to_axis)) , INTENT(IN) :: reduce_domain_to_axis_hdl
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: direction
+      LOGICAL  , OPTIONAL, INTENT(IN) :: local
+      LOGICAL (KIND=C_BOOL) :: local_tmp
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: operation
 
       CALL xios(set_reduce_domain_to_axis_attr_hdl_)  &
-      ( reduce_domain_to_axis_hdl, direction, operation )
+      ( reduce_domain_to_axis_hdl, direction, local, operation )
 
   END SUBROUTINE xios(set_reduce_domain_to_axis_attr_hdl)
 
   SUBROUTINE xios(set_reduce_domain_to_axis_attr_hdl_)   &
-    ( reduce_domain_to_axis_hdl, direction_, operation_ )
+    ( reduce_domain_to_axis_hdl, direction_, local_, operation_ )
 
     IMPLICIT NONE
       TYPE(txios(reduce_domain_to_axis)) , INTENT(IN) :: reduce_domain_to_axis_hdl
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: direction_
+      LOGICAL  , OPTIONAL, INTENT(IN) :: local_
+      LOGICAL (KIND=C_BOOL) :: local__tmp
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: operation_
 
@@ -53,4 +59,10 @@
       ENDIF
 
+      IF (PRESENT(local_)) THEN
+        local__tmp = local_
+        CALL cxios_set_reduce_domain_to_axis_local &
+      (reduce_domain_to_axis_hdl%daddr, local__tmp)
+      ENDIF
+
       IF (PRESENT(operation_)) THEN
         CALL cxios_set_reduce_domain_to_axis_operation &
@@ -61,5 +73,5 @@
 
   SUBROUTINE xios(get_reduce_domain_to_axis_attr)  &
-    ( reduce_domain_to_axis_id, direction, operation )
+    ( reduce_domain_to_axis_id, direction, local, operation )
 
     IMPLICIT NONE
@@ -67,4 +79,6 @@
       CHARACTER(LEN=*), INTENT(IN) ::reduce_domain_to_axis_id
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: direction
+      LOGICAL  , OPTIONAL, INTENT(OUT) :: local
+      LOGICAL (KIND=C_BOOL) :: local_tmp
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: operation
 
@@ -72,27 +86,31 @@
       (reduce_domain_to_axis_id,reduce_domain_to_axis_hdl)
       CALL xios(get_reduce_domain_to_axis_attr_hdl_)   &
-      ( reduce_domain_to_axis_hdl, direction, operation )
+      ( reduce_domain_to_axis_hdl, direction, local, operation )
 
   END SUBROUTINE xios(get_reduce_domain_to_axis_attr)
 
   SUBROUTINE xios(get_reduce_domain_to_axis_attr_hdl)  &
-    ( reduce_domain_to_axis_hdl, direction, operation )
+    ( reduce_domain_to_axis_hdl, direction, local, operation )
 
     IMPLICIT NONE
       TYPE(txios(reduce_domain_to_axis)) , INTENT(IN) :: reduce_domain_to_axis_hdl
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: direction
+      LOGICAL  , OPTIONAL, INTENT(OUT) :: local
+      LOGICAL (KIND=C_BOOL) :: local_tmp
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: operation
 
       CALL xios(get_reduce_domain_to_axis_attr_hdl_)  &
-      ( reduce_domain_to_axis_hdl, direction, operation )
+      ( reduce_domain_to_axis_hdl, direction, local, operation )
 
   END SUBROUTINE xios(get_reduce_domain_to_axis_attr_hdl)
 
   SUBROUTINE xios(get_reduce_domain_to_axis_attr_hdl_)   &
-    ( reduce_domain_to_axis_hdl, direction_, operation_ )
+    ( reduce_domain_to_axis_hdl, direction_, local_, operation_ )
 
     IMPLICIT NONE
       TYPE(txios(reduce_domain_to_axis)) , INTENT(IN) :: reduce_domain_to_axis_hdl
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: direction_
+      LOGICAL  , OPTIONAL, INTENT(OUT) :: local_
+      LOGICAL (KIND=C_BOOL) :: local__tmp
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: operation_
 
@@ -102,4 +120,10 @@
       ENDIF
 
+      IF (PRESENT(local_)) THEN
+        CALL cxios_get_reduce_domain_to_axis_local &
+      (reduce_domain_to_axis_hdl%daddr, local__tmp)
+        local_ = local__tmp
+      ENDIF
+
       IF (PRESENT(operation_)) THEN
         CALL cxios_get_reduce_domain_to_axis_operation &
@@ -110,5 +134,5 @@
 
   SUBROUTINE xios(is_defined_reduce_domain_to_axis_attr)  &
-    ( reduce_domain_to_axis_id, direction, operation )
+    ( reduce_domain_to_axis_id, direction, local, operation )
 
     IMPLICIT NONE
@@ -117,4 +141,6 @@
       LOGICAL, OPTIONAL, INTENT(OUT) :: direction
       LOGICAL(KIND=C_BOOL) :: direction_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: local
+      LOGICAL(KIND=C_BOOL) :: local_tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: operation
       LOGICAL(KIND=C_BOOL) :: operation_tmp
@@ -123,10 +149,10 @@
       (reduce_domain_to_axis_id,reduce_domain_to_axis_hdl)
       CALL xios(is_defined_reduce_domain_to_axis_attr_hdl_)   &
-      ( reduce_domain_to_axis_hdl, direction, operation )
+      ( reduce_domain_to_axis_hdl, direction, local, operation )
 
   END SUBROUTINE xios(is_defined_reduce_domain_to_axis_attr)
 
   SUBROUTINE xios(is_defined_reduce_domain_to_axis_attr_hdl)  &
-    ( reduce_domain_to_axis_hdl, direction, operation )
+    ( reduce_domain_to_axis_hdl, direction, local, operation )
 
     IMPLICIT NONE
@@ -134,14 +160,16 @@
       LOGICAL, OPTIONAL, INTENT(OUT) :: direction
       LOGICAL(KIND=C_BOOL) :: direction_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: local
+      LOGICAL(KIND=C_BOOL) :: local_tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: operation
       LOGICAL(KIND=C_BOOL) :: operation_tmp
 
       CALL xios(is_defined_reduce_domain_to_axis_attr_hdl_)  &
-      ( reduce_domain_to_axis_hdl, direction, operation )
+      ( reduce_domain_to_axis_hdl, direction, local, operation )
 
   END SUBROUTINE xios(is_defined_reduce_domain_to_axis_attr_hdl)
 
   SUBROUTINE xios(is_defined_reduce_domain_to_axis_attr_hdl_)   &
-    ( reduce_domain_to_axis_hdl, direction_, operation_ )
+    ( reduce_domain_to_axis_hdl, direction_, local_, operation_ )
 
     IMPLICIT NONE
@@ -149,4 +177,6 @@
       LOGICAL, OPTIONAL, INTENT(OUT) :: direction_
       LOGICAL(KIND=C_BOOL) :: direction__tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: local_
+      LOGICAL(KIND=C_BOOL) :: local__tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: operation_
       LOGICAL(KIND=C_BOOL) :: operation__tmp
@@ -158,4 +188,10 @@
       ENDIF
 
+      IF (PRESENT(local_)) THEN
+        local__tmp = cxios_is_defined_reduce_domain_to_axis_local &
+      (reduce_domain_to_axis_hdl%daddr)
+        local_ = local__tmp
+      ENDIF
+
       IF (PRESENT(operation_)) THEN
         operation__tmp = cxios_is_defined_reduce_domain_to_axis_operation &
